Only get setuptools < 44 on Python 3.4 (#1677)

This allows to have multiple setuptools versions (for 3.4 and newer).
diff --git a/docs/changelog/1677.misc.rst b/docs/changelog/1677.misc.rst
new file mode 100644
index 0000000..7074b09
--- /dev/null
+++ b/docs/changelog/1677.misc.rst
@@ -0,0 +1 @@
+Don't attempt to use setuptools 44+ with Python 3.4 - by ``hroncok``
\ No newline at end of file
diff --git a/virtualenv.py b/virtualenv.py
index c7f71e6..3085d1d 100755
--- a/virtualenv.py
+++ b/virtualenv.py
@@ -998,6 +998,8 @@
                 )
                 if project == "pip" and sys.version_info[0:2] == (3, 4):
                     wheel = next(p for v, p in versions if v <= (19, 1, 1))
+                elif project == "setuptools" and sys.version_info[0:2] == (3, 4):
+                    wheel = next(p for v, p in versions if v < (44,))
                 else:
                     wheel = versions[0][1]
                 wheels.append(wheel)
@@ -1091,9 +1093,13 @@
         )
     ).encode("utf8")
 
-    if sys.version_info[0:2] == (3, 4) and "pip" in project_names:
-        at = project_names.index("pip")
-        project_names[at] = "pip<19.2"
+    if sys.version_info[0:2] == (3, 4):
+        if "pip" in project_names:
+            at = project_names.index("pip")
+            project_names[at] = "pip<19.2"
+        if "setuptools" in project_names:
+            at = project_names.index("setuptools")
+            project_names[at] = "setuptools<44"
 
     cmd = [py_executable, "-"] + project_names
     logger.start_progress("Installing {}...".format(", ".join(project_names)))